
QGIS Application - Bug report #3081

On-the-Fly-projection crashes QGIS, but not in Windows

2010-10-04 04:31 PM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 13141

Description

How to reproduce:

- Download this 0.7 MB shapefile: http://geocommons.com/overlays/5603.zip

 - Open the shapefile and set up EPSG 3416 for On-the-fly (other systems also work)

- Zoom out as long as you can

 - QGIS crashes at a certain level (obviously depending on the coordinate system; might be quite early)

The funny thing is, it doesn't happen in Windows.

That might help as well:

Debug: QGIS(21307)/ KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-volker/ksycoca4" 

Fatal: ASSERT: "std::abs( r_d ) > SMALL_NUM && std::abs( r_n ) > SMALL_NUM" in file

/home/makerpm/rpmbuild/BUILD/qgis-1.6.0/src/core/qgsclipper.h, line 270

Associated revisions

Revision 7c96f7f3 - 2010-11-12 01:19 PM - Marco Hugentobler

Catch nans and infs in clipper. Fixes #3081

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14554 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 358e4349 - 2010-11-12 01:19 PM - Marco Hugentobler

Catch nans and infs in clipper. Fixes #3081

git-svn-id: http://svn.osgeo.org/qgis/trunk@14554 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-04 04:40 PM - Jürgen Fischer

- Resolution set to upstream

- Status changed from Open to Closed

This is probably a Qt problem.  The Qt in OSGeo4W is patched with the attached patch.  See also 

http://lists.osgeo.org/pipermail/qgis-developer/2010-August/010669.html
#2 - 2010-10-04 04:42 PM - Jürgen Fischer

The real link from the archived mail: 

http://www.archivum.info/qt-interest@trolltech.com/2009-09/00531/%28Qt-interest%29-Modification-for-faster-coordinate-clipping-in-QOutlineMapper.ht

l

#3 - 2010-11-12 02:08 AM - Giovanni Manghi

So the patch for osgeo4w means that under windows does not crash?

Has the patch been submitted to fix qt upstream?

cheers

Files

qt-fix.diff 14.3 KB 2010-10-04 Jürgen Fischer
